Bug 1574682 - Image with tag "v3.9.25" contains version "3.9.14"
Summary: Image with tag "v3.9.25" contains version "3.9.14"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.9.z
Assignee: Samuel Munilla
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1575451 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 20:33 UTC by Mauricio Magnani
Modified: 2018-12-25 06:19 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-11 18:09:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3773461 None None None 2018-12-25 06:19:56 UTC

Description Mauricio Magnani 2018-05-03 20:33:33 UTC
### Description of problem ###

IHAC asking about why the difference between the tag and the RPM version.

He said that's pretty non-intuitive (why wouldn't you version bump the RPM package, even if there wasn't a minor change)?

The docker image is 3.9.25, yet the web console RPM within 3.9.25 image is really 3.9.14.

Version-Release number:

https://access.redhat.com/containers/?tab=security#/registry.access.redhat.com/openshift3/ose-web-console/images/v3.9.25-1

## Steps to Reproduce ##

# openshift version
openshift v3.9.25
kubernetes v1.9.1+a0ce1bc657
etcd 3.2.16

# oc rsh webconsole-c9cf7f469-z9hnn 
sh-4.2$  rpm -qa *console*
atomic-openshift-web-console-3.9.14-1.git.229.04c20c2.el7.x86_64
sh-4.2$ 

Check the package at https://access.redhat.com/containers/?tab=package-list#/registry.access.redhat.com/openshift3/ose-web-console/images/v3.9.25-1


Thanks in advance

Comment 1 Yadan Pei 2018-05-04 02:47:54 UTC
Per https://bugzilla.redhat.com/show_bug.cgi?id=1570581#c1, this should be a special case

Comment 2 Samuel Padgett 2018-05-04 16:08:37 UTC
Justin, can you help us with this?

Comment 3 Seth Jennings 2018-05-07 14:11:30 UTC
*** Bug 1575451 has been marked as a duplicate of this bug. ***

Comment 8 Samuel Munilla 2018-09-11 18:09:18 UTC
While the v3.9.25 image does have the incorrect rpm, we do not have the ability to go back and change already released images.

This issue has been confirmed as corrected in subsequent releases.


Note You need to log in before you can comment on or make changes to this bug.